#! /bin/sh

# ncap-uploader.sh -- shovel ncap files toward an upstream relay/delay box

# $Id: ncap-uploader.sh,v 1.7 2008/02/08 18:47:55 vixie Exp $

PATH=/usr/local/bin:$PATH; export PATH

. /usr/local/etc/ncap-default.sh
. /usr/local/etc/ncap-config.sh

mkdir -p $lockdir
if [ -s $lockfile ]; then
	# XXX do we need staleness test here?
	exit
fi

trap "rm -f $lockfile; exit" 0 1 2 3 4 5 15
echo $$ > $lockfile

ch="ch$channel"

cd $spooldir/waiting/
while :; do
	files=$(ls -1 | egrep \.ncap\.gz\$ | head -n $maxper)
	if [ -z "$files" ]; then
		break
	fi
	( for file in $files; do
		echo put $file up/$ch/$file.part
		echo rename up/$ch/$file.part up/$ch/$file
	  done; \
	  echo quit ) \
	| sftp -b - -o"IdentityFile $keyfile" "$login@$server" 2>&1 \
	| grep -v sftp\>
	rm -f $files
done

exit 0
